org.bouncycastle.crypto.params

## Class DSAKeyGenerationParameters

- java.lang.Object
- - org.bouncycastle.crypto.KeyGenerationParameters
  - - org.bouncycastle.crypto.params.DSAKeyGenerationParameters

    public class DSAKeyGenerationParameters
    extends KeyGenerationParameters

### Constructor Summary

Constructors
Constructor and Description
`DSAKeyGenerationParameters(java.security.SecureRandom random, DSAParameters params)`

### Method Summary

Methods
`DSAParameters` `getParameters()`

### Methods inherited from class org.bouncycastle.crypto.KeyGenerationParameters

`getRandom, getStrength`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DSAKeyGenerationParameters

    public DSAKeyGenerationParameters(java.security.SecureRandom random,
                              DSAParameters params)

### Method Detail

#### getParameters

    public DSAParameters getParameters()